import { DbxPopoverKey, DbxPopoverController } from './popover';
import { OnDestroy } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Used for coordinating popovers and closing/replacing existing ones when a new popover of the same name appears.
 */
export declare class DbxPopoverCoordinatorService implements OnDestroy {
    private _popovers;
    readonly popovers$: import("rxjs").Observable<Map<string, DbxPopoverController<unknown, unknown>>>;
    ngOnDestroy(): void;
    get popovers(): Map<DbxPopoverKey, DbxPopoverController>;
    addPopover(popover: DbxPopoverController): void;
    removePopover(key: DbxPopoverKey, popover?: DbxPopoverController): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DbxPopoverCoordinatorService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DbxPopoverCoordinatorService>;
}
